using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Xml;

namespace XmlStuff
{
	/// <summary>
	/// Summary description for GuestBook.
	/// </summary>
	public class GuestBook : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label Message;
		protected System.Web.UI.WebControls.TextBox Name;
		protected System.Web.UI.WebControls.TextBox Email;
		protected System.Web.UI.WebControls.TextBox Homepage;
		protected System.Web.UI.WebControls.TextBox Country;
		protected System.Web.UI.WebControls.TextBox Comments;
		protected System.Web.UI.WebControls.Button Button1;
		protected System.Web.UI.WebControls.Button Button2;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			// Put user code to initialize the page here
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: This call is required by the ASP.NET Web Form Designer.
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{    
			this.Button1.Click += new System.EventHandler(this.Button1_Click);
			this.Button2.Click += new System.EventHandler(this.Button2_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Button1_Click(object sender, System.EventArgs e)
		{
			try
			{

				XmlDocument doc = new XmlDocument();
				doc.Load( Request.MapPath( "gbook.xml" ) );

				XmlDocumentFragment newVisitor = doc.CreateDocumentFragment();

				newVisitor.InnerXml = "<entry date=\"" + DateTime.Now.ToShortDateString() + "\">\r\n" +
					"\t<name>" + Name.Text + "</name>\r\n" +
					"\t<email>" + Email.Text + "</email>\r\n" +
					"\t<homepage>" + Homepage.Text + "</homepage>\r\n" +
					"\t<country>" + Country.Text + "</country>\r\n" +
					"\t<comment>" + "<![CDATA[" + Comments.Text + "]]></comment>\r\n" +
					"</entry>\r\n";
         
				XmlElement root = doc.DocumentElement;
				root.AppendChild( newVisitor );
				doc.Save( Request.MapPath( "gbook.xml" ) );

				Message.Text = "Done!";

				Name.Text = "";
				Email.Text = "";
				Homepage.Text = "";
				Country.Text = "";
				Comments.Text = "";
			}
			catch( Exception ex )
			{
				Message.Text = ex.Message;
			}
		}

		private void Button2_Click(object sender, System.EventArgs e)
		{
			Response.Redirect( "GB.aspx" );
		}
	}
}
